summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests/test-generic.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2006-08-22 01:32:29 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:16:22 -0500
commit35817c01a87f4bda0f492144a56d39a99bc07eb1 (patch)
tree6495a245745b48a3b9fffb13934a0681aacfae1d /source4/lib/ldb/tests/test-generic.sh
parent862ba2617205832d4d5f0db07c54c4cc436a0f3d (diff)
downloadsamba-35817c01a87f4bda0f492144a56d39a99bc07eb1.tar.gz
samba-35817c01a87f4bda0f492144a56d39a99bc07eb1.tar.bz2
samba-35817c01a87f4bda0f492144a56d39a99bc07eb1.zip
r17679: - fix 'make test-ldap' to skip ldb specials
- allow ldb to be built in a separate build directory, using: /some/path/to/ldb/configure make this will make it much easier to put ldb in the build farm without interfering with the build farm builds of tdb and talloc (This used to be commit 580ed6730d33bad62e9799a38377c40f2852ae89)
Diffstat (limited to 'source4/lib/ldb/tests/test-generic.sh')
-rwxr-xr-xsource4/lib/ldb/tests/test-generic.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/source4/lib/ldb/tests/test-generic.sh b/source4/lib/ldb/tests/test-generic.sh
index 3246b7138f..363bf89065 100755
--- a/source4/lib/ldb/tests/test-generic.sh
+++ b/source4/lib/ldb/tests/test-generic.sh
@@ -1,5 +1,9 @@
#!/bin/sh
+if [ -z "$LDB_SPECIALS" ]; then
+ export LDB_SPECIALS=1
+fi
+
echo "LDB_URL: $LDB_URL"
echo "Adding base elements"
@@ -22,8 +26,10 @@ $VALGRIND ldbsearch '(uid=uham)' || exit 1
echo "Starting ldbtest"
time $VALGRIND ldbtest --num-records 100 --num-searches 10 || exit 1
-echo "Adding index"
-$VALGRIND ldbadd $LDBDIR/tests/test-index.ldif || exit 1
+if [ $LDB_SPECIALS = 1 ]; then
+ echo "Adding index"
+ $VALGRIND ldbadd $LDBDIR/tests/test-index.ldif || exit 1
+fi
echo "Adding attributes"
$VALGRIND ldbadd $LDBDIR/tests/test-wrong_attributes.ldif || exit 1